Rated 5 out of 5 stars

Please enable the plugin to be usable on FF 8. Thanks!